INSERT INTO users(name) VALUES
    ('Joe'),
    ('Emil'),
    ('Niko'),
    ('Plug'),
    ('Upgrade');


INSERT INTO bank_account(user_id, balance) VALUES (1, 500);

INSERT INTO resource_account(user_id, resname, balance) VALUES
    (1, 'Sollux', 100),
    (1, 'Shadowstone', 100),
    (1, 'Azurium', 100),
    (1, 'Novafor', 100),
    (1, 'Nebulance', 100);

INSERT INTO staking_source(name, description, user_id, address) VALUES
    ('Selene''s Eye',
    'Selene''s Eye is a large and mysterious moon, named for its distinctive appearance - a bright, glowing eye that seems to stare out from the void of space',
    1,
    '0x1234568');

INSERT INTO resource_well(source_id, resname, supply) VALUES
    (1, 'Sollux', 200),
    (1, 'Shadowstone', 175),
    (1, 'Azurium', 0),
    (1, 'Novafor', 25),
    (1, 'Nebulance', 10);


INSERT INTO inventory_item(user_id, store_item_id) VALUES
    (1, 'item1'),
    (1, 'item2');

-- INSERT INTO staking_event(user_id, well_id, inventory_item_id, duration_in_mins, stake_amount) VALUES
--     (1, 1, 1, 5, 50),
--     (1, 3, 2, 5, 50);

-- INSERT INTO claim_event(staking_event_id, claim_amount) VALUES
--     (2, 50);
